$! XNTPD batch job (P1 = extra command line option[s])
$! w.j.m. 17-aug-1995
$!------------------------------------------------------------------------------
$ on warning then exit $status
$!
$ set process/priv=(SYSPRV, CMKRNL, LOG_IO, OPER)
$ set process/name = "Xntpd"
$!
$ tmp = f$setprv("ALTPRI")
$ if f$priv("ALTPRI") then set process/priority=6	! <<< won't hurt
$!
$ myself = f$environment("procedure")
$ xntpd = f$parse("XNTPD.EXE;",myself)
$ configfn = "NTP.CONF;"
$ driftfn = "NTP.DRIFT;"
$ scsnode = f$edit(f$getsyi("scsnode"),"trim")
$ if scsnode.nes.""
$ then
$	configfn = "NTP-" + scsnode + ".CONF;"
$	driftfn = "NTP-" + scsnode + ".DRIFT;"
$ endif
$ config = f$parse(configfn,myself)
$ driftfile = f$parse(driftfn,myself)
$!
$ define/user DRIFTFILE 'driftfile'
$ define/user DRIFTFILE-TEMP 'f$parse(".DRIFT-TMP;",driftfile)'
$!
$ mcr 'xntpd' 'p1' -c 'config' -f DRIFTFILE
